file-pr(8)

NAME
file-pr - files incoming problem reports in GNATS database

SYNOPSIS
file-pr [ -f file | --file=file ] [ -h | --help ]
[ -V | --version ] [ -H host | --host=host ]
[ -P port | --port=port ] [ -v user | --user=user ]
[ -w password | --passwd=password ]
[ -d databasename | --database=databasename ]

DESCRIPTION
file-pr files incoming Problem Reports in the GNATS database, sends acknowledgments to approriate parties and logs database activity.

file-pr assigns the Problem Report an identification number and then files it in the GNATS database either under the category specified in the Category field of the PR, or under the default category if the Category field is nonexistent or contains an invalid category name.

For the default GNATS configuration, the person responsible for that category and the person responsible for the submitter site where the PR originated receive a copy of the PR in its entirety. Optionally, the originator of the PR receives an acknowledgment that the PR arrived and was filed

OPTIONS

-f file, --filename=file
    Accept file as input; if this option is not present, standard input is used.

-h, --help
    Display usage summary for file-pr.

-V, --version
    Display version number for file-pr.

-d, --database
    Specifies the database to which the PR is to be submitted. If no database is specified, the database named default is assumed. This option overrides the database specified in the GNATSDB environment variable.

  GNATS network options:

-H, --host
    Hostname of the GNATS server.

-P, --port
    The port that the GNATS server runs on.

-v, --username
    Username used to log into the GNATS server.

-w, --passwd
    Password used to log into the GNATS server.

ENVIRONMENT VARIABLES
The GNATSDB environment variable is used to determine which database to use. For a local database, it contains the name of the database to access.

For network access via gnatsd, it contains a colon-separated list of strings that describe the remote database, in the form

server:port:databasename:username:password

Any of the fields may be omitted, but at least one colon must appear; otherwise, the value is assumed to be the name of a local database.

If GNATSDB is not set, it is assumed that the database is local and that its name is default.

SEE ALSO
Keeping Track: Managing Messages With GNATS (also installed as the GNU Info file gnats.info)

databases(5), dbconfig(5), delete-pr(8), edit-pr(1) file-pr(8), gen-index(8), gnats(7), gnatsd(8), mkcat(8), mkdb(8), pr-edit(8), query-pr(1), queue-pr(8), send-pr(1).

COPYING
Copyright (c) 1993, 1999, 2003, Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.